- Home
- API Enriched
- Shape
- shape
- POST SAFE Top Locations.
POST SAFE Top Locations.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/stats/top_locations';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"body":"example","namespace":"example","version":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/stats/top_locations \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example", "namespace": "example", "version": "example" }'POST SAFE Analyst Station Dashboard Transaction Breakdown request.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope the query.
Request Bodyrequired
Section titled “Request Bodyrequired”Any payload to be passed on the Safe Dashboard Transaction Breakdown POST API.
object
Data to be send as the body of request. Note that multipart/formdata is not supported.
Namespace is used to scope the query Required: YES.
The API version to use.
Examplegenerated
{ "body": "example", "namespace": "example", "version": "example"}Responses
Section titled “Responses”A successful response.
Any payload to be return by GET API.
object
Data received from the downstream server.
Examplegenerated
{ "body": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example